> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Filing Content



## OpenAPI

````yaml /openapi.json get /us/filings/{accession_number}/content
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/filings/{accession_number}/content:
    get:
      tags:
        - US · filings
      summary: Us Filing Content
      operationId: us_filing_content_us_filings__accession_number__content_get
      parameters:
        - name: accession_number
          in: path
          required: true
          schema:
            type: string
            title: Accession Number
        - name: format
          in: query
          required: false
          schema:
            type: string
            pattern: ^(normalized|raw)$
            default: normalized
            title: Format
        - name: start_character
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Start Character
        - name: max_characters
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100000
                minimum: 1
              - type: 'null'
            title: Max Characters
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilingContentResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/FilingProcessingErrorResponse'
                  - $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    FilingContentResponse:
      properties:
        accession_number:
          type: string
          title: Accession Number
        content_type:
          type: string
          title: Content Type
        content:
          type: string
          title: Content
        encoding:
          type: string
          enum:
            - utf-8
            - base64
          title: Encoding
          default: utf-8
        content_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Hash
        parser_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Parser Version
        content_start_character:
          type: integer
          title: Content Start Character
          default: 0
        returned_characters:
          anyOf:
            - type: integer
            - type: 'null'
          title: Returned Characters
        total_characters:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Characters
        content_truncated:
          type: boolean
          title: Content Truncated
          default: false
        next_start_character:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Start Character
      type: object
      required:
        - accession_number
        - content_type
        - content
      title: FilingContentResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    FilingProcessingErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        accession_number:
          type: string
          title: Accession Number
        retry_after_seconds:
          type: integer
          title: Retry After Seconds
      type: object
      required:
        - error
        - message
        - accession_number
        - retry_after_seconds
      title: FilingProcessingErrorResponse
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````